> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List tags

> Fetch all of the product tags for an organziation

<Warning>This endpoint needs to be retrieved using `daffodil.getmeadow.com` or `daffodil-staging.getmeadow.com` (staging sandbox) instead of the api subdomain.<br /><br />Example URL: `https://daffodil.getmeadow.com/api/v1/products/tags`</Warning>

<Note>This endpoint will return all tags. No pagination is necessary</Note>


## OpenAPI

````yaml GET /api/v1/products/tags
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/products/tags:
    get:
      description: Fetch all of the product tags for an organziation
      responses:
        '200':
          description: Tags response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    description: The name of the tag
                  description:
                    type: string
                    description: The description of the tag
                    nullable: true
                  productIds:
                    type: array
                    description: >-
                      An array of IDs that will correspond to the `id` property
                      of each product from the [Retrieve
                      Menu](/endpoints/menu/list-menu) endpoint. This value can
                      be `null` if it does not have any products associated with
                      it.
                    items:
                      type: number
                    nullable: true
              example:
                data:
                  - id: 8
                    name: Top shelf
                    description: Only the dankest nugs get this designation
                    productIds:
                      - 86
                      - 123
                      - 126
                      - 224
                      - 675
                      - 9543
                      - 9748
                  - id: 9
                    name: Monday Deals
                    description: null
                    productIds:
                      - 9839
                  - id: 10
                    name: Tuesday Deals
                    description: null
                    productIds:
                      - 9594
                      - 9845
                  - id: 23
                    name: Indoor
                    description: null
                    productIds: null
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
      servers:
        - url: https://daffodil-staging.getmeadow.com
        - url: https://daffodil.getmeadow.com
components:
  schemas:
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````